Bug 188505 - Review Request: perl-Locale-Maketext-Simple
Review Request: perl-Locale-Maketext-Simple
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 188523 188527 189042 189043 189044 189047 189048
  Show dependency treegraph
 
Reported: 2006-04-10 14:23 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 18:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-10 14:23:07 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Locale-Maketext-Simple/perl-Locale-Maketext-Simple.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Locale-Maketext-Simple-0.12-1.src.rpm
Description:
This module is a simple wrapper around Locale::Maketext::Lexicon, designed
to alleviate the need of creating Language Classes for module authors.
Comment 1 Jason Tibbitts 2006-04-10 14:51:41 EDT
RPM picks up no requirements for this package; shouldn't it at least require
Locale::Maketext::Lexicon?  I guess it's not strictly necessary but it seems
pointless to use this package on its own with Locale::Maketext::Lexicon is
already in extras.
Comment 2 Steven Pritchard 2006-04-10 16:05:01 EDT
-2 explicitly requires perl(Locale::Maketext::Lexicon).  Thanks for the catch.
Comment 3 Steven Pritchard 2006-04-10 16:06:27 EDT
I guess I should have mentioned it is here:
http://ftp.kspei.com/pub/steve/rpms/perl-Locale-Maketext-Simple-0.12-2.src.rpm
Comment 4 Jason Tibbitts 2006-04-10 23:38:49 EDT
Builds fine in mock (development branch) and rpmnlint is silent.

Issue:
Owns %{perl_vendorlib}/Locale, which is also owned by a dependency.  My
understanding of the last MUST in the review guidelines is that this is a
blocker.  (Please feel free to correct me if I'm misunderstanding the point of
that rule.)

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   9a65312da2ae8d59f898151f9c044383  Locale-Maketext-Simple-0.12.tar.gz
   9a65312da2ae8d59f898151f9c044383  Locale-Maketext-Simple-0.12.tar.gz-srpm
* package builds in mock.
* BuildRequires are proper.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
X The package owns %{perl_vendorlib}/Locale, which is also owned by a dependency.
Comment 5 Ralf Corsepius 2006-04-11 04:24:58 EDT
(In reply to comment #4)
> Builds fine in mock (development branch) and rpmnlint is silent.
> 
> Issue:
> Owns %{perl_vendorlib}/Locale, which is also owned by a dependency.  My
> understanding of the last MUST in the review guidelines is that this is a
> blocker.  (Please feel free to correct me if I'm misunderstanding the point of
> that rule.)
Corrected.

All perl packages must own all directories below  %{perl_vendorlib}, they use,
otherwise they do not uninstall correctly and leave dirs behind. 
As previously mentioned by others in other threads the rule from the guidelines
you mention above is badly phrased to say the least.
Comment 6 Jason Tibbitts 2006-04-11 10:01:58 EDT
I don't recall any other discussion about this; if there's concensus that the
rule is flawed then why haven't the guidelines been updated?  It's stated in two
places:

http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

I'd update them myself but given that you didn't supply any references I have no
real idea what should replace the existing text.

In the absense of any clear guidance I'm going to go ahead and approve the
package and in the future only check for erroneous ownership of things like
%{_bindir} or %{perl_vendirlib}.

APPROVED
Comment 7 Ralf Corsepius 2006-04-11 10:34:11 EDT
(In reply to comment #6)
> I don't recall any other discussion about this;
Though I don't have a reference to any thread discussing this issue wrt. perl
packages at hand, this topic had been beaten to death and had popped up up at
frequent intervals in perl dist reviews ;)

> if there's concensus that the
> rule is flawed then why haven't the guidelines been updated?
IMO, yes. It's what most perl packages in FE do.
Comment 8 Steven Pritchard 2006-04-18 18:58:45 EDT
Package imported, branches created, builds requested, etc.

Note You need to log in before you can comment on or make changes to this bug.